Skip to main content
GET
curl

Authorizations

API-Key
string
header
required

Your public API key. Identifies the partner making the request.

API-Nonce
string
header
required

Monotonically increasing nonce included in the request signature.

API-Sign
string
header
required

HMAC signature over the request, computed with your private key.

Path Parameters

user_id
string
required

User Iiban

Example:

"AA07 N84G DLNK DA3I"

asset_type
enum<string>
required

Classification of the asset (fiat, crypto, stablecoin, or xstock).

Available options:
fiat,
crypto,
stablecoin,
xstock
asset_symbol
string
required

Asset name (e.g., BTC, ETH, USD). Ticker symbol of an asset (e.g. BTC, USDC, EUR).

Required string length: 3 - 16
Example:

"BTC"

Query Parameters

quote_symbol
string
default:USD

Ticker symbol of the fiat quote asset to use for valuations (e.g. USD, EUR). Defaults to USD.

Required string length: 3 - 16
Example:

"USD"

quote_type
enum<string>
default:fiat

Classification of the quote asset. Currently only fiat is supported.

Available options:
fiat
start_timestamp
string<date-time> | null

Start of the time window (inclusive). Only results whose timestamp is greater than or equal to start_timestamp are returned.

Example:

"2025-06-30T00:00:00.000Z"

end_timestamp
string<date-time> | null

End of the time window (exclusive). Only results whose timestamp is strictly less than end_timestamp are returned.

Example:

"2025-06-30T00:00:00.000Z"

interval
string<duration> | null

If provided, shows the history of the asset in the given interval.

Should be in the format of an [ISO 8601 duration].

Supported resolutions: 1min, 5min, 15min, 30min, 60min, 4H, 1D, 7D, 15D

Example:

"PT15M"

page_size
integer<int32>
default:20

Maximum number of results to return on a single page. Defaults to 20, maximum 100.

Required range: 1 <= x <= 25
page_token
string

Opaque page token returned by a previous response's next_page_token. Omit to start from the beginning.

Required string length: 1 - 256

Response

Response

data
object[]
required

List of historical records

quote_symbol
string
required

The asset used as the quote currency for all rates in data. Echoes the quote_symbol query parameter (or its default).

Maximum string length: 16
Example:

"USD"

quote_type
enum<string>
required

Classification of the quote asset. Echoes the quote_type query parameter (or its default).

Available options:
fiat
start_timestamp
string<date-time>
required

Start of the time window covered by data. Echoes the start_timestamp query parameter (or its default).

end_timestamp
string<date-time>
required

End of the time window covered by data. Echoes the end_timestamp query parameter (or its default).

interval
string<duration> | null
required

Granularity of each row in data. Echoes the interval query parameter.

Example:

"PT15M"

page_size
integer<int32>
required

Maximum number of results returned on this page. Echoes the page_size query parameter (or its default).

Required range: 1 <= x <= 100
next_page_token
string

Opaque token for the next page of results. Absent when there are no more pages.

Required string length: 1 - 256